@import "vars";

/*==========  Desktop First  ==========*/
@media screen and (min-width: 1200px) and (max-width: 1370px) {
  .menu__link {
    font-size: 16px;
  }
}
// ≥1200px
@media only screen and (max-width: 1200px) {
  .main-carousel {
    &__item {
      min-height: 640px;
    }
    &__img {
      max-width: 420px;
      &::before {
        width: 360px;
        height: 360px;
        left: 40px;
        border-radius: 70x;
      }
    }
  }
  .title {
    font-size: 74px;
    margin-bottom: 56px;
  }
  .services {
    justify-content: center;
  }
  .dentist__img {
    max-width: 400px;
    &::before {
      width: 380px;
      height: 380px;
      border-radius: 80px;
    }
  }
  .doctor__img {
    margin-left: 60px;
  }
  .doctor__row::before {
    width: 100%;
    max-width: 490px;
  }
  .doctor__img-circle {
    max-width: 300px;
    display: block;
    height: auto;
    left: -110px;
  }
  .dentist__content::before {
    right: 0;
  }
  .office::after {
    bottom: 30px;
    right: -200px;
    width: 274px;
    height: 274px;
    border-radius: 50px;
  }
  .office-carousel__item img {
    max-width: 100%;
    display: block;
    height: auto;
  }
  .office {
    padding-bottom: 140px;
    overflow-y: hidden;
  }
  .following__img {
    max-width: 100%;
    display: block;
    height: auto;
    margin-left: -86px;
  }
  .instagram {
    justify-content: center;
    .instagram__item {
      margin: 12px;
    }
  }
  .about__content {
    max-width: 555px;
    min-height: 520px;
    &::before {
      width: 425px;
      height: 425px;
    }
  }
  .andre-section {
    overflow-x: hidden;
    .social-icons {
      left: 0;
    }
  }
  .andre__item:first-child {
    margin-left: 0;
    flex: 0 0 50%;
    max-width: 50%;
  }
  .andre__img {
    max-width: 600px;
    height: auto;
    display: block;
  }
  .andre__title {
    font-size: 74px;
  }
  .provide {
    &::before {
      display: none;
    }
  }
  .cosmetic-dentistry {
    margin-bottom: 30px;
  }
  .blog {
    .title {
      margin-bottom: 30px;
    }
    &__content {
      margin-bottom: 30px;
    }
  }
  .provide {
    .services__item:first-child {
      margin-left: 12.5px;
    }
  }
  .bridges .blog__row::after,
  .porcelain .blog__row::after {
    width: 360px;
    height: 360px;
    border-radius: 40px;
  }
  .priority::before {
    content: "";
    position: absolute;
    bottom: -20px;
    left: -150px;
    width: 300px;
    height: 300px;
    border-radius: 50px;
  }
  .stands::before {
    display: none;
  }
  .logo {
    margin-left: 0;
  }
  .following .title::before {
    right: 0;
  }
  .menu {
    position: fixed;
    top: 0;
    right: -335px;
    z-index: 99;
    background: #fff;
    max-width: 335px;
    width: 100%;
    height: 100%;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 16px;
    transition: all 0.5s ease;
    overflow: auto;
    flex-wrap: nowrap;
    &.open {
      right: 0;
    }
    &__li {
      a {
        display: block;
      }
    }
    &__bg {
      transition: all 0.5s ease;
      z-index: 9;
      &.open {
        position: fixed;
        background: rgba(51, 51, 51, 0.4509803922);
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
      }
    }
    &__dropdown {
      opacity: 1;
      visibility: visible;
      position: inherit;
      box-shadow: none;
      padding-top: 0;
      padding-bottom: 0;
    }
  }
  .btn_mnu {
    width: 30px;
    height: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: transparent;
    cursor: pointer;
    position: fixed;
    right: 15px;
    top: 26px;
    margin: auto;
    transition: all 0.5s ease;
    z-index: 999;
    &.active {
      .btn_row {
        &:first-child {
          transform: rotate(-135deg);
          top: 6px;
        }
        &:last-child {
          -webkit-transform: rotate(-225deg);
          -ms-transform: rotate(-225deg);
          -o-transform: rotate(-225deg);
          transform: rotate(-225deg);
          top: -10px;
        }
        &:nth-child(2) {
          opacity: 0;
        }
      }
    }
    .btn_row {
      height: 2px;
      width: 100%;
      margin: 3px 0;
      background-color: $accent;
      position: relative;
      transition: all 0.5s;
    }
  }
  .header {
    padding: 16px;
  }
}

// ≥992px
@media only screen and (max-width: 992px) {
  .dentist .title {
    margin-bottom: 120px;
  }
  .dentist__img {
    max-width: 100%;
    margin-bottom: 90px;
    &::before {
      width: 540px;
      height: 540px;
    }
  }
  .dentist {
    padding-bottom: 100px;
  }
  .doctor__img-circle {
    max-width: 350px;
    left: 0;
  }
  .doctor__img {
    margin-left: auto;
    right: 32px;
  }
  .doctor__row {
    margin-bottom: 35px;
  }
  .doctor__content::after {
    bottom: -150px;
  }
  .office-carousel {
    margin-bottom: 80px;
  }
  .office {
    padding-bottom: 30px;
  }
  .following {
    padding-bottom: 30px;
  }
  .main-carousel__img {
    max-width: 100%;
  }
  .main-carousel__img {
    padding: 60px;
  }
  .main-carousel__img.zoom,
  .main-carousel__content.zoom {
    max-width: 100%;
  }
  .main-carousel__img::before,
  .main-carousel__img.zoom::before {
    width: 420px;
    height: 420px;
    top: 50px;
    left: auto;
    right: 50px;
  }
  .main-carousel__content {
    width: 100%;
  }
  .main-carousel__btn-group {
    margin-bottom: 35px;
  }
  .main-services {
    padding-bottom: 70px;
  }
  .services-section {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .about__content {
    padding-left: 0;
    &::before {
      left: 46px;
    }
  }
  .about__img {
    max-width: 100%;
    right: -24px;
    bottom: 70px;
  }
  .health__row {
    margin-right: 0;
  }
  .doctor__content {
    margin-top: 40px;
  }
  .dentist .title {
    margin-bottom: 56px;
  }
  .welcome__row {
    margin-bottom: 30px;
  }
  .welcome .dentist__content {
    margin-left: 0;
  }
  .visit__desc {
    margin-bottom: 30px;
  }
  .clients {
    padding-top: 50px;
    padding-bottom: 30px;
    min-height: auto;
    margin-bottom: 30px;
  }
  .clients__row {
    position: relative;
    display: flex;
    justify-content: center;
    margin-bottom: 30px;
    top: 0;
    bottom: 0;
  }
  .dream {
    padding-top: 50px;
  }
  .professional {
    padding-top: 50px;
    padding-bottom: 50px;
    .welcome__row {
      margin-top: 20px;
    }
  }
  .planing {
    padding-bottom: 50px;
    &::before {
      display: none;
    }
  }
  .bridges,
  .porcelain {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .blog-content .dentist__content {
    padding-top: 30px;
    padding-left: 0;
  }
  .blog-bottom-section::before {
    display: none;
  }

  .blog-content,
  .blog-bottom-section {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .main-carousel__img.zoom .main-carousel__desc {
    color: $text;
  }
  .following__row {
    position: initial;
  }
}

// ≥768px
@media only screen and (max-width: 768px) {
}

// ≥576px
@media only screen and (max-width: 576px) {
  .dentist__img::before {
    width: 250px;
    height: 250px;
    border-radius: 55px;
    right: 0;
    left: 0;
    margin: auto;
    text-align: center;
  }
  .dentist__content::before {
    display: none;
  }
  .dentist__img {
    margin-bottom: 0;
    padding: 30px;
  }
  .main-carousel__img {
    padding: 0;
    text-align: center;
    margin-bottom: 75px;
    &::before {
      width: 230px;
      height: 230px;
      border-radius: 50px;
      top: 50px;
      left: auto;
      right: 30px;
      margin: auto;
      text-align: center;
    }
  }
  .main-carousel__label {
    font-size: 28px;
  }
  .title {
    font-size: 50px;
    margin-bottom: 36px;
  }
  .main-carousel .title {
    margin-bottom: 30px;
  }
  .main-carousel .btn {
    margin-bottom: 15px;
  }
  .main-carousel__btn-group {
    margin-bottom: 20px;
  }
  .services__item {
    margin: 0;
    margin-top: 12px;
    margin-bottom: 12px;
    &:first-child,
    &:last-child {
      margin-left: 12.5px;
    }
  }
  .dentist .title {
    margin-bottom: 70px;
  }
  .dentist {
    padding-bottom: 200px;
  }
  .doctor {
    margin-top: 100px;
    padding-bottom: 0;
  }
  .doctor .title {
    margin-bottom: 20px;
  }
  .doctor__img {
    right: -10px;
    max-width: 80%;
  }
  .doctor__row::before {
    width: 100%;
    height: 690px;
  }
  .doctor__img-circle {
    top: -184px;
    left: -25px;
  }
  .virtual-tour,
  .video-section {
    padding-bottom: 24px;
  }
  .office::after {
    display: none;
  }
  .following .title::before {
    display: none;
  }
  .following__img {
    margin-left: -16px;
  }
  .following__row {
    margin-bottom: 24px;
  }
  .instagram {
    justify-content: center;
  }
  .instagram .instagram__item {
    margin-left: 0;
    margin-right: 0;
  }
  .footer-black {
    flex-wrap: wrap;
  }
  .footer-icons {
    position: relative;
    margin-top: 16px;
  }
  .about {
    min-height: auto;
  }
  .about__title {
    font-size: 74px;
    margin-bottom: 16px;
    text-align: left;
    color: $accent;
  }
  .about__content {
    max-width: 100%;
    min-height: auto;
    color: $text;
    &::before {
      display: none;
    }
  }
  .about__img {
    position: initial;
  }
  .health__row {
    margin-top: -30px;
  }
  .social-icons {
    bottom: 15px;
    display: none;
  }
  .health__row .play-circle {
    padding-left: 0;
  }
  .smiling__desc {
    margin-bottom: 30px;
  }
  .smiling {
    padding-bottom: 30px;
  }
  .welcome .title {
    margin-bottom: 30px;
  }
  .welcome {
    padding-bottom: 30px;
  }
  .appointment {
    margin-left: 0;
    padding: 30px 24px;
    &__title {
      margin-bottom: 20px;
    }
  }
  .visit {
    padding-bottom: 50px;
  }
  .andre__item:first-child {
    flex: 0 0 100%;
    max-width: 100%;
  }
  .andre__content {
    min-height: auto;
  }
  .andre__img {
    position: initial;
  }
  .andre-section {
    padding: 0;
    padding-top: 30px;
    padding-bottom: 30px;
    margin-bottom: 30px;
  }
  .doctorate {
    padding-bottom: 30px;
  }
  .dream {
    min-height: 500px;
  }
  .professional,
  .greatest {
    padding-bottom: 30px;
    .dentist__content {
      margin-left: 0;
    }
  }
  .cosmetic-dentistry {
    overflow-x: initial;
    padding-bottom: 30px;
    .andre__title {
      font-size: 50px;
      margin-bottom: 30px;
    }
  }
  .veneers .title,
  .provide .title {
    font-size: 31px;
  }
  .provide {
    .services__title {
      font-size: 20px;
    }
  }
  .general-dentistry {
    padding-bottom: 30px;
    .andre__title {
      font-size: 50px;
      margin-bottom: 16px;
    }
  }
  .planing {
    .title {
      font-size: 38px;
      margin-bottom: 16px;
    }
  }
  .advantages {
    .title {
      margin-bottom: 24px;
    }
  }
  .bridges,
  .porcelain {
    .blog__row {
      min-height: 300px;
      margin-top: 36px;
      margin-bottom: 30px;
      &::after {
        width: 260px;
        height: 260px;
      }
    }
  }
  .dental-bridge,
  .bridges,
  .porcelain {
    .title {
      font-size: 38px;
    }
  }
  .priority::before {
    display: none;
  }

  .process .dentist__img.center {
    margin-top: 30px;
    &::before {
      top: 0;
    }
  }
  .process,
  .however {
    padding-bottom: 30px;
    min-height: auto;
    align-items: flex-start;
    .dentist__content {
      margin-top: 0px;
    }
  }
  .welcome .dentist__content {
    margin-top: 0;
  }
  .someone,
  .blog {
    padding-bottom: 30px;
    .dentist__img {
      margin-top: 30px;
    }
  }
  .blog-info-section {
    padding-top: 30px;
  }
  .supported {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .pleased .center {
    margin-top: 15px;
    margin-bottom: 15px;
  }
  .extraction {
    padding-bottom: 30px;
    .title {
      margin-bottom: 15px;
      font-size: 30px;
    }
    &__item {
      min-height: 300px;
    }
  }
  .different,
  .everything,
  .sinus-blog,
  .blog-main {
    padding-bottom: 30px;
  }
  .tooth-common {
    .title {
      margin-top: 30px;
    }
  }
  .blog-card {
    min-height: 300px;
  }
  .blog-main {
    padding-top: 30px;
  }
  .blog-section {
    min-height: 360px;
  }
  .blog-item-section {
    min-height: 350px;
    .title {
      font-size: 32px;
      margin-bottom: 15px;
    }
  }
  .request-an-appointment__form {
    justify-content: center;
    flex-wrap: wrap;
    input {
      max-width: 100%;
      margin-left: 0;
      margin-right: 0;
    }
    .btn {
      margin-top: 10px;
    }
  }
  .request-an-appointment__group {
    flex-wrap: wrap;
  }
  .main-carousel__img.zoom::before {
    width: 100%;
    height: 500px;
    top: 50px;
    left: auto;
    right: 0;
  }
  .main-carousel__img.zoom .main-carousel__desc {
    color: #fff;
  }
  .main-carousel .slick-arrow {
    bottom: -50px;
  }
  .virtual-tour-iframe {
    width: 100%;
    height: 300px;
  }
  .footer-blue {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .footer__ul {
    margin-bottom: 30px;
  }
  .footer__title {
    margin-bottom: 15px;
  }
}

/*==========  Mobile First  ==========*/

// ≤576px
@include media-breakpoint-up(sm) {
}

// ≤768px
@include media-breakpoint-up(md) {
}

// ≤992px
@include media-breakpoint-up(lg) {
}

// ≤1200px
@include media-breakpoint-up(xl) {
}
